# TypeScript React JSON tree
##ts-react-json-tree

### Another json viewer, why?
I wanted to have a tree-view that can highlight items, expand items and link to other pages from external input.

### Example View
![Screenshot](TreeView.png)
### How does it work?

##### Simple manual example:
```import JsonTree from 'ts-react-json-tree';

<JsonTree
        data={data}
        minLevel={1}
        expandedItems={["$[0]['tags']", "$[0]['tags'][5]", "$[0]['name']"]}
        highlightedItems={[{ path: "$[0]['tags'][4]", color: '#fe2' }]}
        linkLocation="/some/location"
    />
```

#### Passing props
```import JsonTree from 'ts-react-json-tree';

<JsonTree
        data={data}
        minLevel={1}
        expandedItems={this.props.expandedItems}
        highlightedItems={this.props.highlightedItems}
        linkLocation="/some/location"
    />
```

<b>The props should preferably come from redux</b>

### CSS 
CSS is included in the tree and prefixed with `tsjt`

### LinkFormat
Tree key: `$[0]['balance']` with the value: `$2,887.03`
Pass the base_url, the values are added as:
`base_url?key=$[0][%27balance%27]&value=%242%2C887.03`
