"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const SpanNode_1 = require("./SpanNode");
const LinkIcon_1 = require("./icons/LinkIcon");
const helper_1 = require("./helper");
const ContextWrapped_1 = require("./ContextWrapped");
;
exports.EndNode = (props) => {
    const { value, depth, linkLocation, dataPath, type } = props;
    const endValue = type === 'string' ? `"${value}"` : value;
    return React.createElement(React.Fragment, null,
        React.createElement(SpanNode_1.SpanNode, { value: endValue, attribs: { className: `tsjt_${type}` }, depth: depth }),
        linkLocation && React.createElement("a", { href: `${linkLocation}?key=${helper_1.pathBuild(dataPath)}&value=${encodeURIComponent(value)}` },
            React.createElement(LinkIcon_1.LinkIcon, { color: "blue" })));
};
exports.default = ContextWrapped_1.withContext(exports.EndNode);
