"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const EndNode_1 = require("./EndNode");
const ObjectNode_1 = require("./ObjectNode");
const ArrayNode_1 = require("./ArrayNode");
;
exports.NodeSelector = ({ value, depth = 0, minLevel = 1, dataPath = [], base = '$' }) => {
    if (!dataPath.length)
        dataPath.push(base);
    const props = { items: value, depth, minLevel, dataPath };
    if (value !== null) {
        var type = typeof value;
        switch (type) {
            case 'object':
                if (value instanceof Array) {
                    return React.createElement(ArrayNode_1.default, Object.assign({}, props));
                }
                else {
                    return React.createElement(ObjectNode_1.default, Object.assign({}, props));
                }
            default:
                return React.createElement(EndNode_1.default, { value: value, depth: depth, dataPath: dataPath, type: type });
        }
    }
    else {
        return React.createElement(EndNode_1.default, { value: value, depth: depth, dataPath: dataPath, type: null });
    }
};
